#!/usr/local/bin/python

# custom search-and-replace utility to modify the paths in the sample files distributed with PAMELA, 
# if the user choose not to install to C:\
import glob, os

currentpath = os.getcwd()
currentpath = os.path.abspath(currentpath)
samplepath = os.path.join(currentpath, "..", "samples")
samplepath= os.path.abspath(samplepath)
samples = glob.glob(os.path.join(samplepath, "*.pam"))
if len(samples) == 0:

    # convert this to a proper exception, so it'll show up on Macs ?
    print "Couldn't find sample files"
    raise SystemExit

for filename in samples:
    filename = os.path.abspath(filename)
    f = open(filename)
    lines = f.readlines()
    f.close()
    f = open(filename, 'w')
    for line in lines:
        # change the path
        if line.find("C:/Pamela_beta03/samples/"):
            line = line.replace("C:/Pamela_beta03/samples/", samplepath+os.sep)
        f.write(line)
    f.close()

